Tekla Open API

Detailed and full API reference helps you master Tekla Open API

This is the most recent version of Tekla Open API.
For older versions, please visit Tekla Warehouse.

ConicalSurface Class

The ConicalSurface class defines a conical surface contour.
Inheritance Hierarchy

Namespace:  Tekla.Structures.Model
Assembly:  Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2019.0.0.0 (2019.0.0.0)
Syntax
[SerializableAttribute]
public class ConicalSurface : BendSurface

The ConicalSurface type exposes the following members.

Constructors
  Name Description
Public method ConicalSurface(Vector, Vector, ListPoint, ListPoint)
Instantiates a conical surface with given parameters. The boundaries are defined by the lateral boundaries (i.e. the points on the sides of the curved part of the cone). The side boundaries are defined by the two first points and the two last points of the lateral boundaries.
Public method ConicalSurface(Vector, Vector, LineSegment, LineSegment)
Instantiates a conical surface with given parameters. The boundaries are defined by the side boundaries (i.e. generator lines of the cone).
Top
Properties
  Name Description
Public property Apex
Gets the apex of the cone. If it does not exist, it returns null
Public property EndFaceNormal1
Gets the first end face normal.
(Inherited from BendSurface.)
Public property EndFaceNormal2
Gets the second end face normal.
(Inherited from BendSurface.)
Public property IntersectionLine
Gets intersection line.
(Inherited from BendSurface.)
Public property InwardCurved
Gets the direction of the curve - true if the curve is oriented towards the intersection line, false otherwise.
(Inherited from BendSurface.)
Public property LateralBoundary1
Gets or sets the first lateral boundary
(Inherited from BendSurface.)
Public property LateralBoundary2
Gets or sets the second lateral boundary
(Inherited from BendSurface.)
Public property Radiuses
Gets radiuses of the conical surface. The first radius corresponds to the section located in the first point of the side boundary 1, and the second radius corresponds to the section located in the second point of the side boundary 1.
Public property SideBoundary1
Gets or sets the first side boundary.
(Inherited from BendSurface.)
Public property SideBoundary2
Gets or sets the second side boundary.
(Inherited from BendSurface.)
Top
See Also